#!/bin/bash
# Parallel job submission script:
# Usage: qsub  <this_script>
#
# The shell used to run the job
#$ -S /bin/bash
#
# The name of the parallel queue to submit the job to
# Define the parallel runtime environment and number of nodes
# NB: number of nodes is one more than needed as one copy resideson the master node
#$ -pe mpi 4
# Use location that job was submitted as working directory
#$ -cwd
#
# Export all environment variables to the slave jobs
#$ -V
#
# Put stdout & stderr into the same file
#$ -j y
#
# The name of the SGE logfile for this job
#$ -o output.log
export PATH=$PATH:/home/softwares/siesta/bin
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/home/softwares/netcdf/lib
module load intel-compiler-2018
source /home/softwares/intel_2018/bin/compilervars.sh intel64
source /home/softwares/intel_2018/compilers_and_libraries/linux/mpi/intel64/bin/mpivars.sh
source /home/softwares/intel_2018/mkl/bin/mklvars.sh intel64
mpiexec -iface ib0 -np $NSLOTS siesta < si2x1h.fdf > si2x1h.out
#./hello
